AC_DEFUN([AC_HAVE_RTAI],
    [AC_MSG_CHECKING([for RTAI])]
    [AC_ARG_WITH(rtai,
	    [  --with-rtai=<path to rtai>  Specify path to RTAI],
	    dirs=$withval,dirs="/usr/realtime /usr/src/rtai")]
    for dir in $dirs ; do
	if test -f $dir/include/rtai.h ; then rtai_dir=$dir ; break; fi
    done
    if test x$rtai_dir = x ; then
	[AC_MSG_ERROR([not found in $dirs, try --with-rtai=<path to rtai>])]
    else
	RTAI_DIR=$rtai_dir
# put HAVE_RTAI in config.h
	[AC_DEFINE(HAVE_RTAI,
		1, [Define non-zero if you have RTAI.])]
# put RTAI_DIR in Makefile
	[AC_SUBST(RTAI_DIR)]
	[AC_MSG_RESULT([$RTAI_DIR])]
# put RTAI_DIR into variable file for use by shell scripts
	echo RTAI_DIR=$rtai_dir > rtaidir
    fi
)

AC_DEFUN([AC_HAVE_KERNEL_SOURCE],
    [AC_MSG_CHECKING([for kernel source])]
    [AC_ARG_WITH(kernel-source,
	    [  --with-kernel-source=<path to kernel source>  Specify path to Linux kernel source],
	    dirs=$withval,dirs="/usr/src/linux")]
    for dir in $dirs ; do
	if test -f $dir/include/linux/kernel.h ; then kernel_source_dir=$dir ; break; fi
    done
    if test x$kernel_source_dir = x ; then
	[AC_MSG_ERROR([not found in $dirs, try --with-kernel-source=<path to kernel source>])]
    else
	KERNEL_SOURCE_DIR=$kernel_source_dir
# put HAVE_KERNEL_SOURCE in config.h
	[AC_DEFINE(HAVE_KERNEL_SOURCE,
		1, [Define non-zero if you have Linux kernel source.])]
# put KERNEL_SOURCE_DIR in Makefile
	[AC_SUBST(KERNEL_SOURCE_DIR)]
	[AC_MSG_RESULT([$KERNEL_SOURCE_DIR])]
    fi
)

AC_DEFUN([AC_HAVE_WISH],
    [AC_MSG_CHECKING([for Tcl/Tk wish shell])]
    [AC_CHECK_PROGS(WISH, wish)]
    if test x$WISH = x ; then
	cp runall.sh runall
    else
	cp runall.tcl runall
    fi
    chmod a+x runall
)
