#!/bin/sh
# the next line restarts using emcsh \
exec /usr/bin/wish "$0" "$@"

proc doit {dir} {
  exec sh -c "cd $dir && ./run" &
}

set pid 0

proc myexit {} {
  global pid

  if {$pid != 0} {
    catch {exec kill $pid}
  }
  exit
}

button .b01 -text "Single Periodic Task" -command {doit ex01_periodic}
button .b02 -text "Two Periodic Tasks" -command {doit ex02_twoper}
button .b03 -text "Single Variable-Period Task" -command {doit ex03_variable}
button .b04 -text "FIFOs" -command {doit ex04_fifo}
button .b05 -text "Interrupt Service Routine" -command {doit ex05_isr}
button .b06 -text "Shared Memory" -command {doit ex06_shm}
button .b07 -text "Semaphores" -command {doit ex07_sem}
button .b08 -text "RC Servo Motors" -command {doit ex08_rcservo}
button .b09 -text "LED Clock" -command {doit ex09_ledclock}
button .b10 -text "Stack Testing" -command {doit ex10_stack}
button .b11 -text "Jitter Testing" -command {doit ex11_jitter}
button .b12 -text "Floating Point" -command {doit ex12_math}
button .quit -text "Quit" -command myexit

pack .b01 .b02 .b03 .b04 .b05 .b06 .b07 .b08 .b09 .b10 .b11 .b12 .quit

set pid [exec xterm -e "tail -f /var/log/messages" &]
